### Enumeration

# GdkPixbuf PixbufError

#### Declaration

    error-domain GdkPixbuf.PixbufError

#### Description [src]

An error code in the `GDK_PIXBUF_ERROR` domain.

Many gdk-pixbuf operations can cause errors in this domain, or in the `G_FILE_ERROR` domain.

#### Members

`GDK_PIXBUF_ERROR_CORRUPT_IMAGE`

  An image file was broken somehow.

  - Value: `0`
  - Available since: 2.0
`GDK_PIXBUF_ERROR_INSUFFICIENT_MEMORY`

  Not enough memory.

  - Value: `1`
  - Available since: 2.0
`GDK_PIXBUF_ERROR_BAD_OPTION`

  A bad option was passed to a pixbuf save module.

  - Value: `2`
  - Available since: 2.0
`GDK_PIXBUF_ERROR_UNKNOWN_TYPE`

  Unknown image type.

  - Value: `3`
  - Available since: 2.0
`GDK_PIXBUF_ERROR_UNSUPPORTED_OPERATION`

  Don’t know how to perform the given operation on the type of image at hand.

  - Value: `4`
  - Available since: 2.0
`GDK_PIXBUF_ERROR_FAILED`

  Generic failure code, something went wrong.

  - Value: `5`
  - Available since: 2.0
`GDK_PIXBUF_ERROR_INCOMPLETE_ANIMATION`

  Only part of the animation was loaded.

  - Value: `6`
  - Available since: 2.0

#### Type functions

###### gdk_pixbuf_error_quark

No description available.